2018-10-22 03:23 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004231Kali Linux[All Projects] General Bugpublic2018-07-27 11:53
Reporterbroomdodger 
Assigned Torhertzog 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version2017.1 
Target VersionFixed in Version 
Summary0004231: no login dialog
Descriptionno login dialog

Should every Kali have a login dialog?

kali-linux-2017.1-amd64.iso
+ no login dialog

kali-linux-mate-2017.1-amd64.iso
+ no login dialog

kali-linux-e17-2017.1-amd64.iso
+ no login dialog

# .......1.........2.........3.........4.........5.........6....

kali-linux-light-2017.1-amd64.iso
+ displays login dialog

kali-linux-xfce-2017.1-amd64.iso
+ displays login dialog

kali-linux-lxde-2017.1-amd64.iso
+ displays login dialog

kali-linux-kde-2017.1-amd64.iso
+ displays login dialog
Steps To ReproduceToshiba 2.67 GHz i5 4 GB RAM

Download ISOs
Verify SHA256SUMS
Install on USB flash drive
Boot from USB
See Description above
Attached Files

-Relationships
+Relationships

-Notes

~0007257

defalt (reporter)

Have you installed kali in USB or made a bootable USB? Once you install kali it asks you to login with a password you provided when you were installing kali.

~0007258

broomdodger (reporter)

@defalt
Please... read my "Steps To Reproduce"
Yes, I have made bootable USB flash drives.

~0007259

defalt (reporter)

@broomdodger
Your steps to reproduce gives incorrect data. The 3rd step is given "Install on USB flash drive" while you are only mounting the iso on USB. So i was confirming if you actually meant it as bootable USB and not installation.

If you set kali live to sleep, it then asks you to enter default password "toor" on waking up the screen. If login at startup is available for other variants of kali then it can be added in suggested variants too.

~0007263

rhertzog (administrator)

Each desktop uses its own display manager and live-config is supposed to enable auto-login by default on most of them (when we boot a live image).

-light, -xfce and -lxde all use "lightdm".
-kde uses "sddm".

So it looks like the autologin integration within live-config is broken with current versions of those display managers.

With the problematic -light image, can you attach the content of /etc/lightdm/lightdm.conf ? Can you tweak its content to get auto-login to work ? (you can restart the service with "systemctl restart lightdm")

With the problematic kde image, can you attach the content of /etc/sddm.conf ? Can you tweak its content to get auto-login to work ? (you can restart the service with "systemctl restart sddm")

In both cases, please show me the output of "ls /var/lib/live/config/" (to check which live-config components have been run).

Thanks for your help.

~0007272

rhertzog (administrator)

Note that I pushed a new kali-root-login (2017.2.1) which should fix the autologin with lightdm (it was a PAM problem). I haven't investigated the case of the KDE image with sddm.

~0007274

broomdodger (reporter)

>With the problematic -light image,
>can you attach the content of /etc/lightdm/lightdm.conf ?

Yes attached.

>Can you tweak its content to get auto-login to work ?
>(you can restart the service with "systemctl restart lightdm")

After edit lightdm.conf and "systemctl restart lightdm" still NO autologin.
The login dialog is displayed and root/toor allows login.

kali-light is installed on my harddrive.
BTW thank you, kali-light is beautiful!

I edit my lightdm.conf to allow root autologin and autologin works
(the same edit as the live image where autologin fails).

~0007275

broomdodger (reporter)

>Each desktop uses its own display manager and
>live-config is supposed to enable auto-login by default

Thank you for the clarification,
I did not know what was the default.

~0009399

rhertzog (administrator)

I checked the KDE image and the auto-login works with sddm. So I don't think that there are any issue left, closing the ticket.
+Notes

-Issue History
Date Modified Username Field Change
2017-09-07 15:05 broomdodger New Issue
2017-09-07 15:41 defalt Note Added: 0007257
2017-09-07 16:03 broomdodger Note Added: 0007258
2017-09-07 17:02 defalt Note Added: 0007259
2017-09-08 08:55 rhertzog Note Added: 0007263
2017-09-08 08:55 rhertzog Assigned To => rhertzog
2017-09-08 08:55 rhertzog Status new => feedback
2017-09-08 14:10 rhertzog Note Added: 0007272
2017-09-09 00:35 broomdodger File Added: lightdm.conf
2017-09-09 00:47 broomdodger Note Added: 0007274
2017-09-09 00:47 broomdodger Status feedback => assigned
2017-09-09 00:51 broomdodger Note Added: 0007275
2018-07-27 11:53 rhertzog Status assigned => resolved
2018-07-27 11:53 rhertzog Resolution open => fixed
2018-07-27 11:53 rhertzog Note Added: 0009399
+Issue History